%define name smpeg
%define summary SDL MPEG Library
%define version	0.4.4
%define release 23mdk
%define section Multimedia/Video
%define lib_name_orig libsmpeg
%define lib_major 0.4
%define lib_name %mklibname %name %{lib_major}

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
License: LGPL
Source: %{name}-%{version}.tar.bz2
Patch0: smpeg-remove-rpath-in-smpeg-config.patch.bz2
Patch1: smpeg-0.4.4-libsupc++.patch.bz2
Patch2: smpeg-0.4.4-fix-m4.patch.bz2
Group: Video
URL: http://www.lokigames.com/development/smpeg.php3
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: esound-devel libgtk+-devel SDL1.2-devel Mesa-common-devel

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder and SPLAY,
an mpeg audio decoder created by Woo-jae Jung. We have completed the
initial work to wed these two projects in order to create a general
purpose MPEG video/audio player for the Linux OS.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: %{name}
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}-%{release}
#gw smpeg-config calls sdl-config
Requires: SDL1.2-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{name}-player
Summary: Simple MPEG player based on %{name} library
Group: Video
Obsoletes: %{lib_name}-player
Provides: %{lib_name}-player = %{version}-%{release}

%description -n %{name}-player
This package contains a MPEG player based on %{name}.

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q
%patch0 -p0
%patch1 -p1 -b .libsupc++
%patch2 -p0
# needed by Patch1
automake --foreign

%build
%configure
# (gc) this sucking rpath thing...
perl -pi -e 's/finalize_rpath="\$rpath"/finalize_rpath=/' libtool
make

%install
rm -rf $RPM_BUILD_ROOT
#make prefix=$RPM_BUILD_ROOT/%{_prefix} install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name}-player << EOF
?package(%{name}-player): command="%{_bindir}/gtv" \
needs="X11" \
icon="video_section.png" \
section="%{section}" \
title="Gtv Mpeg player" \
longtitle="Gtv Mpeg video player"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}-player
%{update_menus}

%postun -n %{name}-player
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{name}-player
%defattr(-, root, root)
%doc README
%{_bindir}/plaympeg
%{_bindir}/gtv
%{_bindir}/glmovie
%{_mandir}/*/*
%{_menudir}/%{name}-player

%files -n %{lib_name}
%defattr(-,root,root)
%doc README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_datadir}/aclocal/smpeg.m4

%changelog
* Mon Sep 15 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-23mdk
- have a g++-3.3 compatible smpeg.m4 si that client apps will be able
  to AM_PATH_SMPEG without failing (thx scherer.michael at free.fr, #4909)

* Thu Aug 21 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.4-22mdk
- fix deps

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-21mdk
- rebuild for new devel provides

* Sun Jun  1 2003 Stefan van der Eijk <stefan@eijk.nu> 0.4.4-20mdk
- rebuild for rpm 4.2

* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.4-19mdk
- mklibname macro
- remove redundant buildrequires
- devel package requires libSDL1.2-devel

* Mon Jul 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.4-18mdk
- Update Patch1 (libsupc++) to override new libtool behavior and
  forcibly link with gcc and -lsupc++ -lgcc_s. Aka. don't forcibly
  grab the world with libstdc++.so.*, if not necessary

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.4-17mdk
- Rework Patch (c++linker) to link against -lsupc++ instead of all C++
  libraries. smpeg doesn't use anything from libstdc++.

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.4-16mdk
- Automated rebuild with gcc3.2

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-15mdk
- recompile against SDL which isn't dependant upon arts/esd

* Thu May 30 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-14mdk
- link library with c++ rather than gcc (call libtoolize) so that C
  programs are not obliged to link -lsmpeg with c++

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-13mdk
- rebuild to link against latest libstdc++

* Tue Apr 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.4-12mdk
- Patch1: Fix build with gcc-3.1. Programs linking with libraries
  built from C++ code should be linked with g++ which add the
  necessary machinery.

* Sun Apr 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-11mdk
- rebuild for new alsa version

* Mon Mar 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.4-10mdk
- build release for latest libmcop

* Mon Feb 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.4-9mdk
- rebuild for new libXv

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.4.4-8mdk
- Fix menu entry (icon)

* Wed Oct 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-7mdk
- BuildRequires: libaudiofile-devel

* Wed Oct 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-6mdk
- fix binary-or-shlib-defines-rpath

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.4-5mdk
- BuildRequires: alsa-lib-devel Mesa-common-devel

* Thu Sep 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4.4-4mdk
- Fix menu entry
- Fix Summary

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-3mdk
- rebuild to fix missing provides

* Thu Aug  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-2mdk
- patch from Gotz Waschk <waschk@linux-mandrake.com>
  - added missing files, smpeg.m4 and libsmpeg.la

* Sun Jun 24 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-1mdk
- new version

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.3-2mdk
- recompile to link against latest libs

* Fri May 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.3-1mdk
- version 0.4.3

* Thu Mar  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-4mdk
- rename player subpackage to "smpeg-player"

* Mon Mar  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-3mdk
- fix smpeg-config to not provide rpath
- fix provides
- bzip icons

* Tue Jan 23 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.4.2-2mdk
- corrected doc file list for libsmpeg package 

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-4mdk
- better new lib policy, do not generate anymore an ambiguous package
  containing binaries but with the old lib name

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-3mdk
- follow new lib policy, split packages with binaries

* Wed Oct 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-2mdk
- rebuild to ensure that icons are not executables

* Tue Oct 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Fri Sep 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-10mdk
- rebuild against fixed XFree4 by fredl

* Thu Sep 14 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-9mdk
- now we have transparent icons 

* Thu Sep 07 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-8mdk
- removed the explicit icon path

* Thu Aug 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-7mdk
- explicit name for menu entry :-)

* Wed Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 0.4.0-6mdk

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.4.0-5mdk
- make coherent menu name. Thanks Fred.

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.4.0-4mdk
- rebuilt for latest SDL 1.1.4.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-3mdk
- automatically added BuildRequires.

* Wed Aug 02 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.4.0-2mdk
- macroszifications.
- BM.

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- v0.4.0.

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3.5-2mdk
- fixed "Requires",

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3.5-1mdk
- new version,
- merged with loki's original rpm (add devel rpm!).
- menu entry and icon (by Hlne Durosini) for gtv.  

* Tue Feb 07 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mandrake adations.
- added BuildPreReq.
- updated to version 0.3.3.

* Wed Jan 19 2000 Sam Lantinga <hercules@lokigames.com>
- initial release.
